<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMstUseDistricts extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mst_use_districts', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('code')->default(0); // 用途コード(value)
            $table->text('name'); // 用途名(name)
        });
        DB::statement("ALTER TABLE mst_use_districts COMMENT 'マスタ：用途'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mst_use_districts');
    }
}
